Skip to content
LogoLogo

FeeShare

FeeShares

GET/terp/feeshare/v1/fee_shares

FeeShares retrieves all registered FeeShares

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

FeeShare

GET/terp/feeshare/v1/fee_shares/{contract_address}

FeeShare retrieves a registered FeeShare for a given contract address

Path Parameters

contract_addressRequired
string

contract_address of a registered contract in bech32 format

Responses

DeployerFeeShares

GET/terp/feeshare/v1/fee_shares/{deployer_address}

DeployerFeeShares retrieves all FeeShares that a given deployer has registered

Path Parameters

deployer_addressRequired
string

deployer_address in bech32 format

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

WithdrawerFeeShares

GET/terp/feeshare/v1/fee_shares/{withdrawer_address}

WithdrawerFeeShares retrieves all FeeShares with a given withdrawer address

Path Parameters

withdrawer_addressRequired
string

withdrawer_address in bech32 format

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

Params

GET/terp/feeshare/v1/params

Params retrieves the FeeShare module params

Responses